šŸ”“ Get recipes recommendation for an APIUser. ā±ā­

Ā© Consumes your monthly credits. Limited amount of monthly calls, exceeding calls will be charged as extras.

(S) Limited amount of calls per second.

Ā 

This endpoint returns a set of recommended recipes for an APIUser based on the intakes reported. The recipes recommended contain all the detailed information for cooking the dish with a similar format of a food recipe book.

Ā 

The recommendation process consists of three main steps:

  1. First, it tries to get the suitable dishes that the users should eat to improve the 'Variety Score' of their diet. For more information about this score, check endpoint '/v2/score/variety' (alternatively, a list of preferred dishes can be provided as a parameter to this endpoint). If not provided, the 'v2/recommend/dish' endpoint is used internally to get the recommended dishes.
  2. Once the dishes are obtained, a list of pre-stored recipes for these dishes are gathered.
  3. In order to improve the personalisation of this recommendation process, a final filtering method is carried out where APIUser's diet preferences and food restrictions are taken into consideration. So for better results, it is advised to add these user attributes to the API via the '/v2/profile/modifyUserProfileInfo' endpoint.

Ā 

Read the specification of the response body to see the available fields with their descriptions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The nutritional scoring method that needs to be considered along with the food groups variety aspect for the final score. Currently available type is "Nutri-Score". if not provided, the final score will only consider the food group varieties. If choosing "None" then only the variety of the consumed dishes will be considered for generating recommendations.

Allowed:
integer
required

Number of recipes to be recommended. If not provided, a default value of 5 is used.

string
required

Occasion for which the recipes need to be recommended. Possible values are "breakfast", "lunch", "dinner" or "snack". If not provided, all available occasions in the database are used.

string
required

Start date of the period of time for which the user data needs to be considered for the recommendation, following the format "YYYY-MM-DD". If this parameter is not provided, then a default value of 10 days to the past will be used.

food_class_ids
array of integers
required

Food class ids of the dishes for which the recipes need to be recommended. If not provided, these are obtained internally by calling the /v2/recommend/dish endpoint.

food_class_ids*
foodGroups
array of integers
required

Food group ids used for variety score analysis for optimal recommendation. If this parameter is not provided, a pre fixed list of food groups for the given occasion is used. If occasion is not provided, all available food groups in the database are used. If 'occasion' is provided a subset of food groups usually consumed for the selected occasion will be used instead. Available food groups in the LogMeal database can be queried by the endpoint '/v2/dataset/foodgroups'.

foodGroups*
Responses

401

Unauthorized, invalid token

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json